# Teams ## List all teams **get** `/v2/teams` Returns all teams in your organization. ### Response Structure The response includes: - `object` - Always "list" - `data` - Array of team objects ### Team Object Each team includes: - `id` - Unique team identifier - `name` - Team display name - `color` - Team color in hex format - `icon` - Team icon (emoji, predefined, or external URL) - `members` - Array of admin IDs who are members of this team ### Example Response ```json { "object": "list", "data": [ { "object": "team", "id": "507f1f77bcf86cd799439011", "name": "Support Team", "color": "#3B82F6", "icon": { "value": "👥", "type": "emoji" }, "members": ["5fef50c5e9458a0012f82456", "5fef50c5e9458a0012f82457"] } ] } ``` ### Version Availability This endpoint is only available in API version 2026-01-01.nova and newer. ### Header Parameters - `"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"` - `"2026-01-01.nova"` - `"2025-12-12.clover"` ### Returns - `data: array of Team` Array of teams - `id: string` Unique identifier - `color: string` Team color in hex format - `icon: object { type, value }` Team icon - `type: "emoji" or "predefined" or "external"` Type of icon - `"emoji"` - `"predefined"` - `"external"` - `value: string` Icon value - `members: array of string` Array of admin IDs who are members of this team - `name: string` Team name - `object: "team"` Object type identifier - `"team"` - `object: "list"` Object type identifier - `"list"` ### Example ```http curl https://do.featurebase.app/v2/teams \ -H "Authorization: Bearer $FEATUREBASE_API_KEY" ``` #### Response ```json { "data": [ { "id": "507f1f77bcf86cd799439011", "color": "#3B82F6", "icon": { "type": "emoji", "value": "👥" }, "members": [ "5fef50c5e9458a0012f82456", "5fef50c5e9458a0012f82457" ], "name": "Support Team", "object": "team" } ], "object": "list" } ``` ## Get team by ID **get** `/v2/teams/{id}` Retrieves a single team by its Featurebase ID. ### Path Parameters - `id` - The Featurebase internal ID of the team (MongoDB ObjectId) ### Response Returns a team object with: - `id` - Unique team identifier - `name` - Team display name - `color` - Team color in hex format - `icon` - Team icon (emoji, predefined, or external URL) - `members` - Array of admin IDs who are members of this team ### Example Response ```json { "object": "team", "id": "507f1f77bcf86cd799439011", "name": "Support Team", "color": "#3B82F6", "icon": { "value": "👥", "type": "emoji" }, "members": ["5fef50c5e9458a0012f82456", "5fef50c5e9458a0012f82457"] } ``` ### Error Responses - **404 Not Found** - Team with the specified ID does not exist ### Version Availability This endpoint is only available in API version 2026-01-01.nova and newer. ### Path Parameters - `id: string` The Featurebase internal ID of the team (MongoDB ObjectId) ### Header Parameters - `"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"` - `"2026-01-01.nova"` - `"2025-12-12.clover"` ### Returns - `Team object { id, color, icon, 3 more }` - `id: string` Unique identifier - `color: string` Team color in hex format - `icon: object { type, value }` Team icon - `type: "emoji" or "predefined" or "external"` Type of icon - `"emoji"` - `"predefined"` - `"external"` - `value: string` Icon value - `members: array of string` Array of admin IDs who are members of this team - `name: string` Team name - `object: "team"` Object type identifier - `"team"` ### Example ```http curl https://do.featurebase.app/v2/teams/$ID \ -H "Authorization: Bearer $FEATUREBASE_API_KEY" ``` #### Response ```json { "id": "507f1f77bcf86cd799439011", "color": "#3B82F6", "icon": { "type": "emoji", "value": "👥" }, "members": [ "5fef50c5e9458a0012f82456", "5fef50c5e9458a0012f82457" ], "name": "Support Team", "object": "team" } ``` ## Domain Types ### Team - `Team object { id, color, icon, 3 more }` - `id: string` Unique identifier - `color: string` Team color in hex format - `icon: object { type, value }` Team icon - `type: "emoji" or "predefined" or "external"` Type of icon - `"emoji"` - `"predefined"` - `"external"` - `value: string` Icon value - `members: array of string` Array of admin IDs who are members of this team - `name: string` Team name - `object: "team"` Object type identifier - `"team"` ### Team List Response - `TeamListResponse object { data, object }` - `data: array of Team` Array of teams - `id: string` Unique identifier - `color: string` Team color in hex format - `icon: object { type, value }` Team icon - `type: "emoji" or "predefined" or "external"` Type of icon - `"emoji"` - `"predefined"` - `"external"` - `value: string` Icon value - `members: array of string` Array of admin IDs who are members of this team - `name: string` Team name - `object: "team"` Object type identifier - `"team"` - `object: "list"` Object type identifier - `"list"`